Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		xmms
Version:	1.2.11
Release:	6
Epoch:		1
License:	GNU/GPL 
URL:		http://www.xmms.org
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Patch1:		%{name}-1.2.11-desktop.patch
# patch taken from http://patches.ubuntu.com/x/xmms/extracted/06-xmms-composite-break.dpatch
# fixes crash when scaling window on composite enabled X servers
Patch2:		06-xmms-composite-break.dpatch
# extend usable charset to utf16
Patch3:		14-libxmms-charset.dpatch
# use keypad (without num-lock pressed) to control xmms
Patch4:		15-keypad.dpatch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	XMMS is a multimedia player for unix systems.

BuildRequires:	mesa-libGL-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXi-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	glibc-devel
BuildRequires:	esound-devel
BuildRequires:	libglib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
XMMS is a multimedia player for unix systems.
XMMS stands for X MultiMedia System and can play media files such as MP3, MOD's, WAV
and others with the use of Input plugins.
XMMS is mainly targeted at music playback, but through thirdparty plugins some
rudimentary video capabilities exists, but there are much better systems
other than XMMS for video support.
For more details see: http://www.xmms.org

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Other
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch1 -p1 -b .desktop
%patch2 -p1 -b .composite
%patch3 -p1 -b .charset
%patch4 -p1 -b .keypad

%build
export CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
%configure
make

%install
rm -Rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Install wmconfig file
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig
install -m 644 xmms/xmms.wmconfig \
	$RPM_BUILD_ROOT%_sysconfdir/X11/wmconfig/xmms

# Install Icon
mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%_pixmaps

# Install applnk file
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 xmms/xmms.desktop \
	$RPM_BUILD_ROOT%_applications

%find_lang xmms

%files -f xmms.lang
%defattr(-,root,root)
%_sysconfdir/X11/wmconfig/xmms
%_applications/xmms.desktop
%_pixmaps/xmms.png
%_bindir
%_libdir/*.so.*
%_libdir/xmms
%_mandir
%_datadir/xmms

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 20 2008 Christian Wasem <wasem@ccux-linux.de> 1.2.11-6
- moved package group to Multimedia/Audio
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-5
- added lzma compression enabled rpm as requirement
* Fri May 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-4
- patch against crash on composite enabled X
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-3
- changed encoding type in .desktop file from Legacy-Mixed to UTF-8
* Mon Nov 19 2007 Christian Metzen <metzench@ccux-linux.de> 1:1.2.11-2
- rebuild for missing devel package
- removed wrong obsoletes tag
- cleaned specfile
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-1
- Version update
* Mon Jun 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.10-4
- rebuild for source rpm, added xmms.m4 and .desktop patch,
- added static files to devel package
